
DECLARE FUNCTION Monitor% ()

'        This function will return the type of video card in the system.
'        1 = MCGA Color
'        2 = MCGA Mono
'        3 = VGA Color
'        4 = VGA Mono
'        5 = EGA
'        6 = CGA
'        7 = Hercules
'        8 = MDA

Test% = Monitor%

PRINT "The Function returns"; Test%


'============================
SELECT CASE Test%

CASE 1
        PRINT "MCGA Color"

CASE 2
        PRINT "MCGA Mono"

CASE 3
        PRINT "VGA Color"

CASE 4
        PRINT "VGA Mono"

CASE 5
        PRINT "EGA"

CASE 6
        PRINT "CGA"

CASE 7
        PRINT "Hercules"

CASE 8
        PRINT "MDA"

END SELECT
'============================

END

